VoiceDock Docs
ApiTool Templates

Create a new tool template

Create a new reusable tool template. Tools can be of type 'function' (custom webhook), 'endCall' (built-in), or 'transferCall' (built-in).

POST
/tool-templates

Create a new reusable tool template. Tools can be of type 'function' (custom webhook), 'endCall' (built-in), or 'transferCall' (built-in).

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/tool-templates" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "tool_type": "function",    "tool_config": {}  }'
{
  "tool_template": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "Customer Lookup",
    "description": "Look up customer information by phone number",
    "tool_type": "function",
    "tool_config": {},
    "org_id": "a40f5d1f-d889-42e9-94ea-b9b33585fc6b",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
{
  "error": "Invalid API key",
  "message": "string"
}
{
  "error": "Invalid API key",
  "message": "string"
}